Calendar

List calendar events

Returns upcoming calendar events from the authenticated user's connected calendars, with pagination and a configurable time window.

GET
/calendar/events

Query Parameters

includeOfflineSingleAttendee?boolean

Set to true to include calendar meetings that have no meeting link and only one attendee.

startTimeLookbackHours?number

How many hours in the past to include calendar meetings from, based on their start time.

startTimeLookaheadHours?number

How many hours in the future to include calendar meetings from, based on their start time.

sortDirection?string

The direction calendar meetings are sorted in by start time. Defaults to ascending.

Value in

  • "ascending"
  • "descending"
cursor?string

Cursor for the next page. Omit for the first page (RFC 8288).

Response Body

application/json

application/json

curl -X GET "https://example.com/calendar/events"
[  {    "id": "google-calendar-event-id",    "title": "Event Venue Review",    "icalUid": "event-venue-review@google.com",    "attendees": [      {        "name": "John Appleseed",        "email": "john@initech.com",        "isOrganizer": true,        "status": "accepted"      },      {        "name": "Samantha Grey",        "email": "samantha@initech.com",        "isOrganizer": false,        "status": "accepted"      }    ],    "calendarDescription": "Quarterly venue review",    "calendarPlatform": "google_calendar",    "endTime": "2023-07-25T20:30:00.000Z",    "isExternal": false,    "isHostedByMe": true,    "location": "Google Meet",    "meetingId": "WRweb12iCBimU6Vo8cD7z",    "meetingPlatform": "google_meet",    "organizerEmail": "john@initech.com",    "overrideShouldRecord": false,    "platform": "google_meet",    "startTime": "2023-07-25T20:00:00.000Z",    "willRecord": true,    "willRecordReason": "External attendees"  }]
{  "code": "string",  "error": "string",  "issues": [    {      "message": "string",      "path": "string"    }  ]}